#import <Foundation/Foundation.h>

typedef enum {
    AsReaderP252BBarcodeTypeNoRead                        =  0x00,
    AsReaderP252BBarcodeTypeCode39                        =  0x01,
    AsReaderP252BBarcodeTypeCode11                        =  0x0C,
    AsReaderP252BBarcodeTypeCodabar                       =  0x02,
    AsReaderP252BBarcodeTypeEAN13                         =  0x0B,
    AsReaderP252BBarcodeTypeCode128                       =  0x03,
    AsReaderP252BBarcodeTypeEAN13With2Supps               =  0x4B,
    AsReaderP252BBarcodeTypeIndustrial2Of5                =  0x04,
    AsReaderP252BBarcodeTypeEAN13With5Supps               =  0x8B,
    AsReaderP252BBarcodeTypeIATA2Of5                      =  0x05,
    AsReaderP252BBarcodeTypeMSI                           =  0x0E,
    AsReaderP252BBarcodeTypeInterleaved2Of5               =  0x06,
    AsReaderP252BBarcodeTypeEAN128                        =  0x0F,
    AsReaderP252BBarcodeTypeCode93                        =  0x07,
    AsReaderP252BBarcodeTypeUPCE1                         =  0x10,
    AsReaderP252BBarcodeTypeUPCA                          =  0x08,
    AsReaderP252BBarcodeTypeUPCE1With2Supps               =  0x50,
    AsReaderP252BBarcodeTypeUPCAWith2Supps                =  0x48,
    AsReaderP252BBarcodeTypeUPCAWith5Supps                =  0x88,
    AsReaderP252BBarcodeTypeUPCE1With5Supps               =  0x90,
    AsReaderP252BBarcodeTypeTriopticCode39                =  0x15,
    AsReaderP252BBarcodeTypeUPCE0                         =  0x09,
    AsReaderP252BBarcodeTypeBooklandEAN                   =  0x16,
    AsReaderP252BBarcodeTypeUPCE0With2Supps               =  0x49,
    AsReaderP252BBarcodeTypeCouponCode                    =  0x17,
    AsReaderP252BBarcodeTypeUPCE0With5Supps               =  0x89,
    AsReaderP252BBarcodeTypeGS1DataBarLimitedRSSLimited   =  0x31,
    AsReaderP252BBarcodeTypeEAN8                          =  0x0A,
    AsReaderP252BBarcodeTypeGS1DataBarRSS14               =  0x30,
    AsReaderP252BBarcodeTypeEAN8With2Supps                =  0x4A,
    AsReaderP252BBarcodeTypeGS1DataBarExpandedRSSExpanded =  0x32,
    AsReaderP252BBarcodeTypeEAN8With5Supps                =  0x8A,
    AsReaderP252BBarcodeTypeMatrix2Of5                    =  0x0D,
    AsReaderP252BBarcodeTypeChinaPostChinese2Of5          =  0x72,
    AsReaderP252BBarcodeTypeCode32                        =  0x20,
    AsReaderP252BBarcodeTypeUKPlessey                     =  0x13,
    AsReaderP252BBarcodeTypeISBT128                       =  0x19,
    AsReaderP252BBarcodeTypePDF417                        =  0x11,
    AsReaderP252BBarcodeTypeAztec                         =  0x2D,
    AsReaderP252BBarcodeTypeMicroPDF417                   =  0x1A,
    AsReaderP252BBarcodeTypeQR                            =  0x1C,
    AsReaderP252BBarcodeTypeDataMatrix                    =  0x1B,
    AsReaderP252BBarcodeTypeMicroQR                       =  0x2C,
    AsReaderP252BBarcodeTypeHanXinCode                    =  0xFF,
    AsReaderP252BBarcodeTypeMaxicode                      =  0x25,
    AsReaderP252BBarcodeTypeITF14                         =  0xc0,
    AsReaderP252BBarcodeTypeITF6                          =  0xc1,
    AsReaderP252BBarcodeTypeAIM128                        =  0xc2,
    AsReaderP252BBarcodeTypeISSN                          =  0xc3,
    AsReaderP252BBarcodeTypeISBN                          =  0xc4,
    AsReaderP252BBarcodeTypeGS1Databar                    =  0xc5,
} AsReaderP252BBarcodeType;

@interface AsReaderP252BBarcode : NSObject
+ (AsReaderP252BBarcodeType)getBarcodeType:(unsigned char)byte;
+ (NSString *)getBarcodeString:(AsReaderP252BBarcodeType)barcodeType;
@end
